Win32-2.3.1.0: A binding to part of the Win32 library

Copyright | (c) Simon Marlow 2007
License | BSD-style (see the file LICENSE)
Maintainer | Simon Marlow
Stability | provisional
Portability | portable
Safe Haskell | Trustworthy
Language | Haskell98

System.Win32.Security

Contents

- Types
- Functions

Description

FFI-bindings to interact with Win32 Security

Synopsis

- data SID
- type PSID = Ptr SID
- data ACL
- type PACL = Ptr ACL
- data SECURITY_DESCRIPTOR
- type SECURITY_DESCRIPTOR_CONTROL = WORD
- se_OWNER_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL
- se_GROUP_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL
- se_DACL_PRESENT :: SECURITY_DESCRIPTOR_CONTROL
- se_DACL_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL
- se_SACL_PRESENT :: SECURITY_DESCRIPTOR_CONTROL
- se_SACL_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL
- se_DACL_AUTO_INHERIT_REQ :: SECURITY_DESCRIPTOR_CONTROL
- se_SACL_AUTO_INHERIT_REQ :: SECURITY_DESCRIPTOR_CONTROL
- se_DACL_AUTO_INHERITED :: SECURITY_DESCRIPTOR_CONTROL
- se_SACL_AUTO_INHERITED :: SECURITY_DESCRIPTOR_CONTROL
- se_DACL_PROTECTED :: SECURITY_DESCRIPTOR_CONTROL
- se_SACL_PROTECTED :: SECURITY_DESCRIPTOR_CONTROL
- se_SELF_RELATIVE :: SECURITY_DESCRIPTOR_CONTROL
- type SECURITY_INFORMATION = DWORD
- oWNER_SECURITY_INFORMATION :: SECURITY_INFORMATION
- gROUP_SECURITY_INFORMATION :: SECURITY_INFORMATION
- dACL_SECURITY_INFORMATION :: SECURITY_INFORMATION
- sACL_SECURITY_INFORMATION :: SECURITY_INFORMATION
- getFileSecurity :: String -> SECURITY_INFORMATION -> IO SecurityDescriptor

# Types

data SID

type PSID = Ptr SID

data ACL

type PACL = Ptr ACL

data SECURITY_DESCRIPTOR

type SECURITY_DESCRIPTOR_CONTROL = WORD

se_OWNER_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL

se_GROUP_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL

se_DACL_PRESENT :: SECURITY_DESCRIPTOR_CONTROL

se_DACL_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL

se_SACL_PRESENT :: SECURITY_DESCRIPTOR_CONTROL

se_SACL_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL

se_DACL_AUTO_INHERIT_REQ :: SECURITY_DESCRIPTOR_CONTROL

se_SACL_AUTO_INHERIT_REQ :: SECURITY_DESCRIPTOR_CONTROL

se_DACL_AUTO_INHERITED :: SECURITY_DESCRIPTOR_CONTROL

se_SACL_AUTO_INHERITED :: SECURITY_DESCRIPTOR_CONTROL

se_DACL_PROTECTED :: SECURITY_DESCRIPTOR_CONTROL

se_SACL_PROTECTED :: SECURITY_DESCRIPTOR_CONTROL

se_SELF_RELATIVE :: SECURITY_DESCRIPTOR_CONTROL

type SECURITY_INFORMATION = DWORD

oWNER_SECURITY_INFORMATION :: SECURITY_INFORMATION

gROUP_SECURITY_INFORMATION :: SECURITY_INFORMATION

dACL_SECURITY_INFORMATION :: SECURITY_INFORMATION

sACL_SECURITY_INFORMATION :: SECURITY_INFORMATION

# Functions

getFileSecurity :: String -> SECURITY_INFORMATION -> IO SecurityDescriptor